​

Get list

GET
https://example.kaiten.ru/api/latest/time-logs

Get time logs list filtered by query parameters. The result of the request is displayed page by page (see details in the constraints of the parameters)

Query
NameTypeConstraintsDescription
fromrequiredstringDate from, format YYYY-MM-DD

Example: 2025-12-01

torequiredstringDate from, format YYYY-MM-DD

Example: 2025-12-30

tag_idsstringTag ids, comma-separated

Example: 234,2342,6435

user_idsstringUser ids, comma-separated

Example: 34,345,345345

group_idsstringUser group ids, comma-separated

Example: 1,2,3

space_idsstringSpace ids, comma-separated

Example: 453,238945,2

board_idsstringBoard ids, comma-separated

Example: 654,24,243

column_idsstringColumn ids, comma-separated

Example: 624,12,23

card_idsstringCard ids, comma-separated

Example: 624,12,23

visible_column_idsstringVisible column ids, comma-separated
limitintegerDefault: 100 Max: 200Maximum number of records; the limit cannot be extended
offsetintegerNumber of records to skip
conditionintegerNumber of records to skip
group_byintegerOptions to group by. 0 - no groups, 1 - by user, 2 - by card
time_precisionintegerTime precision for specified time_unit
time_unitintegerTime unit
with_daily_distributionintegerReturns data daily when grouped by user or card
only_general_sumintegerReturns general sum time spent
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Card time log id
card_id

integer

Card id
user_id

integer

User id
role_id

integer

Role id, predefined role is: -1 - Employee
author_id

integer

Author id
updater_id

integer

Last updater id
time_spent

integer

Minutes to log
for_date

string

Log date
comment

null | string

Time log comment
role

object

Schema
Company user role info
user

object

Schema
User info
card

object

Card info
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Query Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/time-logs?' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!